# fit of Co60 gamma spectrum
# 2000 (c) Klaus Betzler
GNUCO=0
set nokey;  set noytics
set xrange [0:2800];  set yrange [0:5500]
plot "co60.txt" pt 6
pause -1 "Startfunktionen"
f1(x)=a1*exp((e1-x)*(x-e1)*log(2)/b1/b1)
f2(x)=a2*exp((e2-x)*(x-e2)*log(2)/b2/b2)
f3(x)=a3*exp((e3-x)*(x-e3)*log(2)/b3/b3)
a1=3000;  e1=1100;  b1=30
a2=3000;  e2=1300;  b2=30
a3=1000;  e3=2400;  b3=30
plot "co60.txt" pt 6, f1(x) lw 4, f2(x) lw 4, f3(x) lw 4
pause -1 "Fit und Endergebnis"
fit [1100:1250] f1(x) "co60.txt" via a1,e1,b1
fit [1250:1400] f2(x) "co60.txt" via a2,e2,b2
fit [2300:2700] f3(x) "co60.txt" via a3,e3,b3
plot "co60.txt" pt 6, f1(x) lw 4, f2(x) lw 4, f3(x) lw 4
GNUCO=1
