# Octal sphere with curves from 'hobd.dat'
# 2000 (c) Klaus Betzler
X(u,v)=cos(v)*cos(u)
Y(u,v)=cos(v)*sin(u)
Z(u,v)=sin(v)
set nokey;  set noborder
set noxtics;  set noytics;  set noztics
set angles degrees
set view 60,110,0.7,1.5
set parametric
set samples 100
set mapping spherical
GNUOCT=0
set isosamples 19
set urange [0:90];  set vrange [0:90]
splot X(u,v),Y(u,v),Z(u,v)  lw 0.3, 'hobd.dat' w l lw 2
GNUOCT=1
pause -1
set term postscript eps enh solid
set out "oct.ps"
replot
